/*
 * This file was generated by qdbusxml2cpp version 0.7
 * Command line was: qdbusxml2cpp -l Oscl::Qt::DBus::BlueZ::Mesh::ProvisionAgent1::Server -i server.h -p proxy dbus.xml
 *
 * qdbusxml2cpp is Copyright (C) 2015 The Qt Company Ltd.
 *
 * This is an auto-generated file.
 * Do not edit! All changes made to it will be lost.
 */

#ifndef PROXY_H_1600719149
#define PROXY_H_1600719149

#include <QtCore/QObject>
#include <QtCore/QByteArray>
#include <QtCore/QList>
#include <QtCore/QMap>
#include <QtCore/QString>
#include <QtCore/QStringList>
#include <QtCore/QVariant>
#include <QtDBus/QtDBus>
#include "server.h"

/*
 * Proxy class for interface org.bluez.mesh.ProvisionAgent1
 */
class OrgBluezMeshProvisionAgent1Interface: public QDBusAbstractInterface
{
    Q_OBJECT
public:
    static inline const char *staticInterfaceName()
    { return "org.bluez.mesh.ProvisionAgent1"; }

public:
    OrgBluezMeshProvisionAgent1Interface(const QString &service, const QString &path, const QDBusConnection &connection, QObject *parent = 0);

    ~OrgBluezMeshProvisionAgent1Interface();

    Q_PROPERTY(QStringList Capabilities READ capabilities)
    inline QStringList capabilities() const
    { return qvariant_cast< QStringList >(property("Capabilities")); }

    Q_PROPERTY(QStringList OutOfBandInfo READ outOfBandInfo)
    inline QStringList outOfBandInfo() const
    { return qvariant_cast< QStringList >(property("OutOfBandInfo")); }

    Q_PROPERTY(QString URI READ uRI)
    inline QString uRI() const
    { return qvariant_cast< QString >(property("URI")); }

public Q_SLOTS: // METHODS
    inline QDBusPendingReply<> Cancel()
    {
        QList<QVariant> argumentList;
        return asyncCallWithArgumentList(QLatin1String("Cancel"), argumentList);
    }

    inline QDBusPendingReply<> DisplayNumeric(const QString &type, uint number)
    {
        QList<QVariant> argumentList;
        argumentList << QVariant::fromValue(type) << QVariant::fromValue(number);
        return asyncCallWithArgumentList(QLatin1String("DisplayNumeric"), argumentList);
    }

    inline QDBusPendingReply<> DisplayString(const QString &value)
    {
        QList<QVariant> argumentList;
        argumentList << QVariant::fromValue(value);
        return asyncCallWithArgumentList(QLatin1String("DisplayString"), argumentList);
    }

    inline QDBusPendingReply<QByteArray> PrivateKey()
    {
        QList<QVariant> argumentList;
        return asyncCallWithArgumentList(QLatin1String("PrivateKey"), argumentList);
    }

    inline QDBusPendingReply<uint> PromptNumeric(const QString &type)
    {
        QList<QVariant> argumentList;
        argumentList << QVariant::fromValue(type);
        return asyncCallWithArgumentList(QLatin1String("PromptNumeric"), argumentList);
    }

    inline QDBusPendingReply<QByteArray> PromptStatic(const QString &type)
    {
        QList<QVariant> argumentList;
        argumentList << QVariant::fromValue(type);
        return asyncCallWithArgumentList(QLatin1String("PromptStatic"), argumentList);
    }

    inline QDBusPendingReply<QByteArray> PublicKey()
    {
        QList<QVariant> argumentList;
        return asyncCallWithArgumentList(QLatin1String("PublicKey"), argumentList);
    }

Q_SIGNALS: // SIGNALS
};

namespace org {
  namespace bluez {
    namespace mesh {
      typedef ::OrgBluezMeshProvisionAgent1Interface ProvisionAgent1;
    }
  }
}
#endif
